% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/FIN_plot.R
\name{plot.seiqhrf}
\alias{plot.seiqhrf}
\title{Plot simulation result}
\usage{
\method{plot}{seiqhrf}(
  x,
  method = NULL,
  comp_remove = "none",
  time_lim = 90,
  ci = "y",
  sep_compartments = "n",
  trans = "na",
  known = NULL,
  start_date = ymd("2020-03-21"),
  x_axis = "Days since beginning of epidemic",
  plot_title = "SEIQHRF",
  return_df = TRUE,
  market.share = 0.04,
  icu_percent = 0.1,
  total_population = NULL,
  ...
)
}
\arguments{
\item{x}{An seiqhrf object returned from function \code{\link{seiqhrf}}.}

\item{method}{If "times", plot Duration frequency distributions.
If "weekly_local", plot local weekly estimates from simulation.
If NULL, plot sirplus plots.}

\item{comp_remove}{Compartments to remove. Suggest c(s.num, r.num)}

\item{time_lim}{Number of steps (days) to plot.}

\item{ci}{y/n to include 95% confidence intervals in sirplus plot.}

\item{sep_compartments}{y/n use faceting to show each compartment in a 
separate plot, only works if plotting a single simulation.}

\item{trans}{Y-axis transformation (e.g. log2, log10). Default = none.}

\item{known}{Dataframe with known compartment numbers to plot alongside
projections}

\item{start_date}{Date for day 0. Default: ymd("2020-03-21"),}

\item{x_axis}{Title for x-axis. Default: 'Days since beginning of epidemic'}

\item{plot_title}{Title for whole plot. Default: 'SEIQHRF plot'}

\item{return_df}{In effect only when method == "weekly", if TRUE returns 
also the dataframe used for plotting as well as the ggplot object.}

\item{market.share}{between 0 and 1, percentage of local hospital beds in 
the simulated unit (e.g. state)}

\item{icu_percent}{between 0 and 1, percentage of patients that should go to 
ICU among the ones that need hospitalization}

\item{total_population}{True population size, needed only if simulation size 
is smaller than the true population size due to computational cost 
etc.}

\item{...}{Additional parameters}
}
\description{
Plot simulation result
}
